# Quickstart testing adons

Adon comes with a basic test suite. If you used `yo sin` you will have a test file called `tests/adon/adonHideOnScrollDown.js` which looks like this:

```
const suites = require('../suites/domjquery_suite')
var testML = '<h1>PRETEST</h1>'
var testQy = 'h1'

suites.LittleDomWithTheJJSuite(
  'jQuery.fn.extend.adonHideOnScrollDown',
  '../../js/adon/adonHideOnScrollDown.js',
  testML,
  function() {
    it('has no class when not be activated', done => {
      $(testQy)[0].should.not.have.class('adonHideOnScrollDown')
      done()
    })

    it('we can scroll', done => {
      global.document.body.scrollTop = 50;
      global.document.body.scrollTop.should.equal(50)
      done()
    })

    it('adds class adonHideOnScrollDown to tag', done => {
      $(testQy).adonHideOnScrollDown()
      global.document.body.scrollTop = 50;
      global.document.dispatchEvent(new Event('scroll'));
      $(testQy)[0].should.have.class('adonHideOnScrollDown') // true class
      done()
    })

    it('removes class adonHideOnScrollDown from tag', done => {s
      global.document.body.scrollTop = 800;
      $(testQy).adonHideOnScrollDown()
      $(testQy).addClass('adonHideOnScrollDown')
      $(testQy)[0].should.have.class('adonHideOnScrollDown') // original class
      global.document.body.scrollTop = 50;
      global.document.dispatchEvent(new Event('scroll'));
      $(testQy)[0].should.not.have.class('adonHideOnScrollDown') // no class
      done()
    })
  }
)
```

## More

- [eve Quickstart](https://gitlab.com/eliosin/eve/blob/master/doc/quickstart.md)
- [adon Quickstart](https://gitlab.com/eliosin/adon/blob/master/doc/quickstart.md)
- [generator-sin Quickstart](https://gitlab.com/eliosin/generator-sin/blob/master/doc/quickstart.md)
- [Settings File](quickstart.settings-file.md)
- [Mixins](quickstart.mixins.md)
- [god Index](index.md)
